## org.apache.poi.hssf.record
Class PageBreakRecord.Break

    java.lang.Object
      org.apache.poi.hssf.record.PageBreakRecord.Break

Enclosing class:
  PageBreakRecord

    public static final class PageBreakRecord.Break

extends java.lang.Object

Since both records store 2byte integers (short), no point in differentiating it in the records.

The subs (rows or columns, don't seem to be able to set but excel sets them automatically)

Field Summary
`static int` `ENCODED_SIZE`
`int` `main`
`int` `subFrom`
`int` `subTo`

Constructor Summary
`PageBreakRecord.Break(int main, int subFrom, int subTo)`
`PageBreakRecord.Break(RecordInputStream in)`

Method Summary
`void` `serialize(LittleEndianOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCODED_SIZE

    public static final int ENCODED_SIZE

See Also:
  Constant Field Values

### main

    public int main

### subFrom

    public int subFrom

### subTo

    public int subTo

Constructor Detail

### PageBreakRecord.Break

    public PageBreakRecord.Break(int main,
                                 int subFrom,
                                 int subTo)

### PageBreakRecord.Break

    public PageBreakRecord.Break(RecordInputStream in)

Method Detail

### serialize

    public void serialize(LittleEndianOutput out)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.